Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.axeda.esrs.portal.user
Class ODBCUserStoreFactory

    java.lang.Object
      UserStoreFactory
          com.axeda.esrs.portal.user.ODBCUserStoreFactory

    public abstract class ODBCUserStoreFactory

extends UserStoreFactory

Created by IntelliJ IDEA. User: kholbrook Date: Apr 21, 2009 Time: 1:46:52 PM To change this template use File | Settings | File Templates.

Constructor Summary
`ODBCUserStoreFactory()`

Method Summary
`AdminUserStore` | `getAdminUserStore()` EMC SHOULD NOT OVERRIDE Added zero argument prototype that simply casts the outgoing UserStore as an ODBCUserStore which meets all requirements
`AdminUserStore` | `getAdminUserStore(Context context)` Compatibility method prototype called by ServiceLink.
`AdminUserStore` | `getAdminUserStore(Context context, java.lang.String userName, java.lang.String password)` Compatibility method prototype called by ServiceLink.
`ModifiableUserStore` | `getModifiableUserStore()` EMC SHOULD NOT OVERRIDE Added zero argument prototype that simply casts the outgoing UserStore as an ODBCUserStore which meets all requirements.
`ModifiableUserStore` | `getModifiableUserStore(java.lang.String userName, java.lang.String password)` Compatibility method prototype called by ServiceLink.
`UserStore` | `getUserStore()` EMC SHOULD OVERRIDE!!! This method should be overridden by the implementing class.
`void` | `initialize()` This should be sufficient for an initializer, but if it is overridden a call to super.initialize() should be called
`boolean` | `removeAdminUserStore(Context context)` * @return An instance of the ODBCUserStore which implements AdminUserStore
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ODBCUserStoreFactory

    public ODBCUserStoreFactory()

Method Detail

### initialize

    public void initialize()
                    throws UserStoreFactoryException

  This should be sufficient for an initializer, but if it is overridden a call to super.initialize() should be called

  Throws:
    `UserStoreFactoryException`

### getUserStore

    public UserStore getUserStore()

  EMC SHOULD OVERRIDE!!! This method should be overridden by the implementing class.

  Returns:
    An instance of UserStore

### getModifiableUserStore

    public ModifiableUserStore getModifiableUserStore()
                                               throws UserStoreFactoryException

  EMC SHOULD NOT OVERRIDE Added zero argument prototype that simply casts the outgoing UserStore as an ODBCUserStore which meets all requirements.

  Returns:
    An instance of the ODBCUserStore which implements ModifiableUserStore
  Throws:
    `UserStoreFactoryException`

### getModifiableUserStore

    public ModifiableUserStore getModifiableUserStore(java.lang.String userName,
                                                      java.lang.String password)
                                               throws UserStoreFactoryException

  Compatibility method prototype called by ServiceLink. This will delegate to getUserStore() which should be implemented by the overriding class

  Parameters:
    `userName` -
    `password` -
  Returns:
    An instance of the ODBCUserStore which implements ModifiableUserStore
  Throws:
    `UserStoreFactoryException`

### getAdminUserStore

    public AdminUserStore getAdminUserStore()
                                     throws UserStoreFactoryException

  EMC SHOULD NOT OVERRIDE Added zero argument prototype that simply casts the outgoing UserStore as an ODBCUserStore which meets all requirements

  Returns:
    An instance of the ODBCUserStore which implements AdminUserStore
  Throws:
    `UserStoreFactoryException`

### getAdminUserStore

    public AdminUserStore getAdminUserStore(Context context,
                                            java.lang.String userName,
                                            java.lang.String password)
                                     throws UserStoreFactoryException

  Compatibility method prototype called by ServiceLink. This will delegate to getUserStore() which should be implemented by the overriding class

  Parameters:
    `context` -
    `userName` -
    `password` -
  Returns:
    An instance of the ODBCUserStore which implements AdminUserStore
  Throws:
    `UserStoreFactoryException`

### getAdminUserStore

    public AdminUserStore getAdminUserStore(Context context)
                                     throws UserStoreFactoryException

  Compatibility method prototype called by ServiceLink. This will delegate to getUserStore() which should be implemented by the overriding class

  Parameters:
    `context` -
  Returns:
    * @return An instance of the ODBCUserStore which implements AdminUserStore
  Throws:
    `UserStoreFactoryException`

### removeAdminUserStore

    public boolean removeAdminUserStore(Context context)

  * @return An instance of the ODBCUserStore which implements AdminUserStore

  Parameters:
    `context` -
  Returns:

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD